Bug 225638 - Merge Review: cdparanoia [NEEDINFO]
Merge Review: cdparanoia
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Package Reviews List
:
Depends On: 203620
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:49 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:55:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
matthias: needinfo? (ajax)


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:49:09 EST
Fedora Merge Review: cdparanoia

http://cvs.fedora.redhat.com/viewcvs/devel/cdparanoia/
Initial Owner: pjones@redhat.com
Comment 1 Matthias Saou 2007-08-31 12:03:34 EDT
Please find an updated spec file and a patch to the current spec file containing
some suggested changes and fixes :
http://thias.fedorapeople.org/merge-review/cdparanoia/

- Move .so symlink to the devel sub-package (#203620).
- Reorder and clean up the spec file.
- Remove use of "ver" and "realver".
- Convert spec file to UTF-8 and escape all macros in changelog.
- Add highest known version to the cdparanoia-III obsoletes.
- Include install patch to have DESTDIR work and libs +x for correct debuginfo.

It's quite a major cosmetic cleanup overall :-)
Comment 2 Matthias Saou 2007-09-12 07:23:00 EDT
Ping? It would be nice to get this package cleaned up for Fedora 8.

If you'd like a co-maintainer for this package, also just let me know, I'd be
interested. It could also be interesting to get the latest 10pre version during
the Fedora 9 development for it to get some more testing.
Comment 3 Matthias Saou 2007-10-22 11:14:38 EDT
Too late for Fedora 8... ping again?
Comment 4 Matthias Saou 2008-12-22 16:42:11 EST
CC'ing ajax, since he seems to have updated the package quite a bit lately.

I've updated the cleaned up spec file found here :
http://thias.fedorapeople.org/merge-review/cdparanoia/
Comment 5 Matthias Saou 2009-12-08 12:26:33 EST
From the spec, something got done at some point, all hope is not lost! (thanks, ajax ;-)) :

* Tue Feb 10 2009 Adam Jackson <ajax@redhat.com>
- Merge review cleanups (not finished, #225638)

Nevertheless, I've taken the liberty to at least partially continue the changes by including all of the obvious and unavoidable ones. Here is the detail :
- Don't prefix summaries with "A" nor suffix them with a dot.
- Move .so symlink to the devel sub-package (#203620).
- Add highest known version to the cdparanoia-III obsoletes.
- Remove incorrect buildroot removal from %%build.
- Use acceptable %%clean section.
- Provide cdparanoia-static in the devel sub-package since the *.a is there.
- Use single-command scriplet syntax for /sbin/ldconfig calls.
- Escape all macros in changelog.
- Include license file since it is present with the sources.

I'll rebase my other changes (cosmetic cleanups and install patch) against this new spec file.
Comment 6 Matthias Saou 2009-12-08 12:45:39 EST
The latest suggested changes to the package against the latest spec are here :
http://thias.fedorapeople.org/merge-review/cdparanoia/
Comment 7 Cole Robinson 2015-02-11 15:35:39 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 8 Jan Kurik 2015-07-15 11:27:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:17:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 06:55:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.